import React from 'react'
import { shallow } from 'enzyme'
import StyledIconBorderedButton from './StyledIconBorderedButton'

describe('StyledIconBorderedButton component test', () => {
  const mockProps = {
    icon: 'icon',
    size: 20,
  }

  it('should render correctly UnselectedIconButtonBase ', () => {
    const wrapper = shallow(
      <StyledIconBorderedButton icon={mockProps.icon} size={mockProps.size} />
    )

    expect(wrapper.getElement()).toMatchSnapshot()
  })

  it('should render correctly SelectedIconButtonBase', () => {
    const wrapper = shallow(
      <StyledIconBorderedButton
        icon={mockProps.icon}
        size={mockProps.size}
        selected={true}
      />
    )

    expect(wrapper.getElement()).toMatchSnapshot()
  })
})
