import React from 'react'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import { Button } from '@material-ui/core'
import DeleteGRDFAccountModal from './DeleteGRDFAccountModal'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('DeleteGRDFAccountModal component', () => {
  it('should be rendered correctly', () => {
    const component = mount(
      <DeleteGRDFAccountModal
        open={true}
        handleCloseClick={jest.fn()}
        deleteAccount={jest.fn()}
      />
    )
    expect(toJson(component)).toMatchSnapshot()
  })
  it('should launch the deletion process and close modal', () => {
    const mockDelete = jest.fn()
    const mockClose = jest.fn()
    const component = mount(
      <DeleteGRDFAccountModal
        open={true}
        handleCloseClick={mockClose}
        deleteAccount={mockDelete}
      />
    )
    component.find(Button).at(1).simulate('click')
    expect(mockDelete).toHaveBeenCalledTimes(1)
  })
})
