import Button from '@material-ui/core/Button'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React, { useCallback } from 'react'
import { useNavigate } from 'react-router-dom'
import './duelError.scss'

const DuelError: React.FC = () => {
  const { t } = useI18n()
  const navigate = useNavigate()

  const goBack = useCallback(() => {
    navigate(-1)
  }, [navigate])

  return (
    <div className="duel-error-container">
      <div className="duel-error-message">{t('duel.global_error')}</div>
      <div className="duel-error-button">
        <Button
          aria-label={t('duel.accessibility.button_go_back')}
          onClick={goBack}
          classes={{
            root: 'btn-secondary-negative',
            label: 'text-16-normal',
          }}
        >
          {t('duel.button_go_back')}
        </Button>
      </div>
    </div>
  )
}

export default DuelError
