import { Button } from '@material-ui/core'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import EcogestureSelectionEnd from './EcogestureSelectionEnd'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})
const mockedNavigate = jest.fn()
jest.mock('react-router-dom', () => ({
  ...jest.requireActual('react-router-dom'),
  useNavigate: () => mockedNavigate,
}))

describe('EcogestureSelectionEnd component', () => {
  beforeEach(() => {
    mockedNavigate.mockClear()
  })

  it('should be rendered correctly', () => {
    const wrapper = mount(<EcogestureSelectionEnd />)
    expect(toJson(wrapper)).toMatchSnapshot()
  })

  it('should close modal and update profile', () => {
    const wrapper = mount(<EcogestureSelectionEnd />)
    wrapper.find(Button).simulate('click')
    expect(mockedNavigate).toHaveBeenCalledWith('/ecogestures?tab=0')
  })
})
