import React from 'react'
import { shallow } from 'enzyme'
import GCUContent from 'components/GCU/GCUContent'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => {
          if (str === 'gcu.content.part9_4_content') {
            return 'test <a href="link.com">link</a>fin test'
          } else {
            return str
          }
        },
      }
    }),
  }
})

describe('GCUContent component', () => {
  it('should be rendered correctly', () => {
    const component = shallow(<GCUContent />).getElement()
    expect(component).toMatchSnapshot()
  })
  it('should display a link when translation contains <a href=""></a>', () => {
    const component = shallow(<GCUContent />).getElement()
    expect(component).toMatchSnapshot()
  })
})
