import React from 'react'
import { mount } from 'enzyme'
import SplashScreen from './SplashScreen'
import toJson from 'enzyme-to-json'
import { InitSteps } from 'models/initialisationSteps.model'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('SplashScreen component', () => {
  it('should be rendered correctly', () => {
    const component = mount(<SplashScreen initStep={InitSteps.CONSENT} />)
    expect(toJson(component)).toMatchSnapshot()
  })
})
