import { Client } from 'cozy-client'
import { Notes } from 'models/releaseNotes.model'

type SchemaVersion = number

export type MigrationData = {
  errors: any[]
}
export interface MigrationNoop extends MigrationData {
  type: 'MigrationNoop'
}
export interface MigrationComplete extends MigrationData {
  type: 'MigrationComplete'
}
export interface MigrationFailed extends MigrationData {
  type: 'MigrationFailed'
}

export type MigrationResult =
  | MigrationNoop
  | MigrationComplete
  | MigrationFailed

export type Migration = {
  baseSchemaVersion: SchemaVersion
  targetSchemaVersion: SchemaVersion
  description: string
  releaseNotes: Notes | null
  redirectLink?: string
  docTypes: string
  isCreate?: boolean
  isDeprecated?: boolean
  queryOptions?: MigrationQueryOptions
  isEmpty?: boolean
  appVersion: string
  run: (_client: Client, docs: any[]) => Promise<any[]>
}

export type MigrationQueryOptions = {
  scope: string
  tag: string
  limit: number
}
