import { FluidType } from 'enum/fluid.enum'
import { ScreenType } from 'enum/screen.enum'
import { TermsStatus } from 'models'
import { CustomPopup } from './customPopup.model'
import { FluidStatus } from './fluid.model'
import { ReleaseNotes } from './releaseNotes.model'
import { SgeStore } from './sgeStore.model'

export interface GlobalState {
  screenType: ScreenType
  releaseNotes: ReleaseNotes
  challengeExplorationNotification: boolean
  challengeActionNotification: boolean
  challengeDuelNotification: boolean
  analysisNotification: boolean
  termsStatus: TermsStatus
  fluidStatus: FluidStatus[]
  fluidTypes: FluidType[]
  customPopupModal: CustomPopup
  openPartnersIssueModal: {
    enedis: boolean
    egl: boolean
    grdf: boolean
  }
  shouldRefreshConsent: boolean
  sgeConnect: SgeStore
}
