import { profileData } from '../../../tests/__mocks__/profileData.mock'
import { mockInitialProfileState } from '../../../tests/__mocks__/store'
import { UPDATE_PROFILE } from './profile.actions'
import { profileReducer } from './profile.reducer'

describe('profile reducer', () => {
  it('should return the initial state', () => {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    const result = profileReducer(undefined as any, { type: 'default' })
    expect(result).toEqual(mockInitialProfileState)
  })

  it('should handle UPDATE_PROFILE with payload', () => {
    const result = profileReducer(mockInitialProfileState, {
      type: UPDATE_PROFILE,
      payload: profileData,
    })
    expect(result).toEqual(profileData)
  })

  it('should handle UPDATE_PROFILE without payload', () => {
    const result = profileReducer(mockInitialProfileState, {
      type: UPDATE_PROFILE,
    })
    expect(result).toEqual(mockInitialProfileState)
  })
})
