import { profileTypeReducer } from './profileType.reducer'
import { UPDATE_PROFILETYPE } from './profileType.actions'
import { mockInitialProfileTypeState } from '../../../tests/__mocks__/store'
import { profileTypeData } from '../../../tests/__mocks__/profileType.mock'

describe('profile reducer', () => {
  it('should return the initial state', () => {
    const result = profileTypeReducer(undefined as any, { type: 'default' })
    expect(result).toEqual(mockInitialProfileTypeState)
  })

  it('should handle UPDATE_PROFILETYPE with payload', () => {
    const result = profileTypeReducer(mockInitialProfileTypeState, {
      type: UPDATE_PROFILETYPE,
      payload: profileTypeData,
    })
    expect(result).toEqual(profileTypeData)
  })

  it('should handle UPDATE_PROFILETYPE without payload', () => {
    const result = profileTypeReducer(mockInitialProfileTypeState, {
      type: UPDATE_PROFILETYPE,
    })
    expect(result).toEqual(mockInitialProfileTypeState)
  })
})
