/* eslint-disable camelcase */
import {
  UserExplorationState,
  UserExplorationType,
} from 'enum/userExploration.enum'
import { ExplorationEntity, UserExploration } from 'models'

export const explorationEntity: ExplorationEntity = {
  id: 'EXPLORATION001',
  state: UserExplorationState.UNLOCKED,
  description: 'Avoir complété son profil',
  complementary_description: 'Refaire un tour dans son profil si déjà fait',
  target: 1,
  type: UserExplorationType.ACTION,
  date: null,
  ecogesture_id: '',
  fluid_condition: [],
  message_success:
    'Vous avez complété votre profil ou refait un tour dans votre profil',
}
export const explorationEntity4: ExplorationEntity = {
  id: 'EXPLORATION004',
  state: UserExplorationState.UNLOCKED,
  description: 'Déverrouiller les données électricité à la demi-heure',
  complementary_description:
    'Consulter les données à la demi-heure si déjà fait',
  target: 1,
  type: UserExplorationType.ACTION,
  date: null,
  ecogesture_id: '',
  fluid_condition: [0],
  message_success:
    'Vous avez déverrouillé les données électricité à la demi-heure',
}
export const explorationEntity4_0: ExplorationEntity = {
  id: 'EXPLORATION004_0',
  state: UserExplorationState.UNLOCKED,
  description: 'Consulter l\'astuce "Lord Kelvin"',
  complementary_description: '',
  target: 1,
  type: UserExplorationType.ECOGESTURE,
  date: null,
  ecogesture_id: 'ECOGESTURE0031',
  fluid_condition: [],
  message_success: 'Vous avez consulté l\'astuce "Lord Kelvin"',
}
export const explorationDefault: UserExploration = {
  id: '',
  state: UserExplorationState.UNLOCKED,
  description: '',
  complementary_description: '',
  target: 0,
  type: UserExplorationType.DECLARATIVE,
  date: null,
  ecogesture_id: '',
  fluid_condition: [],
  progress: 0,
  message_success: '',
}

export const userExploration: UserExploration = {
  id: 'EXPLORATION001',
  state: 0,
  description: 'Avoir complété son profil',
  complementary_description: 'Refaire un tour dans son profil si déjà fait',
  target: 1,
  type: UserExplorationType.ACTION,
  date: null,
  ecogesture_id: '',
  fluid_condition: [],
  progress: 0,
  message_success:
    'Vous avez complété votre profil ou refait un tour dans votre profil',
}
export const userExploration1: UserExploration = {
  id: 'EXPLORATION001',
  state: 0,
  description: 'Avoir complété son profil',
  complementary_description: 'Refaire un tour dans son profil si déjà fait',
  target: 1,
  type: UserExplorationType.ACTION,
  date: null,
  ecogesture_id: '',
  fluid_condition: [],
  progress: 1,
  message_success:
    'Vous avez complété votre profil ou refait un tour dans votre profil',
}
export const userExploration4: UserExploration = {
  id: 'EXPLORATION004',
  state: 0,
  description: 'Déverrouillez les données électricité à la demi-heure',
  complementary_description:
    'Consulter les données à la demi-heure si déjà fait',
  target: 1,
  type: 0,
  date: null,
  ecogesture_id: '',
  fluid_condition: [0],
  progress: 0,
  message_success:
    'Vous avez déverrouillé les données électricité à la demi-heure',
}
export const userExploration4_0: UserExploration = {
  id: 'EXPLORATION004_0',
  state: 0,
  description: 'Consulter l\'astuce "Lord Kelvin"',
  complementary_description: '',
  target: 1,
  type: 0,
  date: null,
  ecogesture_id: 'ECOGESTURE0031',
  fluid_condition: [],
  progress: 0,
  message_success: 'Vous avez consulté l\'astuce "Lord Kelvin"',
}
export const allExplorationEntities: ExplorationEntity[] = [
  {
    id: 'EXPLORATION001',
    state: 0,
    description: 'Avoir complété son profil',
    complementary_description: 'Refaire un tour dans son profil si déjà fait',
    target: 1,
    type: UserExplorationType.ACTION,
    date: null,
    ecogesture_id: '',
    fluid_condition: [],
    message_success:
      'Vous avez complété votre profil ou refait un tour dans votre profil',
  },
  {
    id: 'EXPLORATION002',
    state: 0,
    description: "Consultez l'astuce Professeur Celsius",
    complementary_description: '',
    target: 1,
    type: UserExplorationType.ECOGESTURE,
    date: null,
    ecogesture_id: 'ECOGESTURE0037',
    fluid_condition: [],
    message_success: 'Professeur Celsius',
  },
  {
    id: 'EXPLORATION003',
    state: 0,
    description: 'Consulter mes données au pas de temps annuel',
    complementary_description: '',
    target: 1,
    type: UserExplorationType.CONSUMPTION,
    date: null,
    ecogesture_id: '',
    fluid_condition: [],
    message_success: "Vous avez consulté votre consommation à l'année",
  },
  {
    id: 'EXPLORATION004',
    state: 0,
    description: 'Déverrouillez les données électricité à la demi-heure',
    complementary_description:
      'Consulter les données à la demi-heure si déjà fait',
    target: 1,
    type: UserExplorationType.ACTION,
    date: null,
    ecogesture_id: '',
    fluid_condition: [0],
    message_success:
      'Vous avez consulté ou déverrouillé les données électricité à la demi-heure',
  },
  {
    id: 'EXPLORATION005',
    state: 0,
    description: 'Envoyez nous votre avis sur le service',
    complementary_description: '',
    target: 1,
    type: UserExplorationType.ACTION,
    date: null,
    ecogesture_id: '',
    fluid_condition: [],
    message_success: 'Vous nous avez envoyé votre avis sur le service',
  },

  {
    id: 'EXPLORATION006',
    state: 0,
    description: 'Parlez en bien d’Ecolyo à un ami (quitte à mentir)',
    complementary_description: '',
    target: 1,
    type: UserExplorationType.DECLARATIVE,
    date: null,
    ecogesture_id: '',
    fluid_condition: [],
    message_success: 'Vous avez répandu la bonne nouvelle',
  },
  {
    id: 'EXPLORATION007',
    state: 0,
    description: 'Consultez 3 fois Ecolyo',
    complementary_description: '',
    target: 3,
    type: UserExplorationType.ACTION,
    date: null,
    ecogesture_id: '',
    fluid_condition: [],
    message_success: 'Vous vous êtes connecté à Ecolyo 3 fois',
  },
]

export const UserExplorationStarted: UserExploration = {
  id: 'EXPLORATION001',
  state: UserExplorationState.ONGOING,
  description: 'Avoir complété son profil',
  complementary_description: 'Refaire un tour dans son profil si déjà fait',
  target: 1,
  type: UserExplorationType.ACTION,
  date: null,
  ecogesture_id: '',
  fluid_condition: [],
  progress: 0,
  message_success:
    'Vous avez complété votre profil ou refait un tour dans votre profil',
}
export const UserExplorationDone: UserExploration = {
  id: 'EXPLORATION001',
  state: UserExplorationState.DONE,
  description: 'Avoir complété son profil',
  complementary_description: 'Refaire un tour dans son profil si déjà fait',
  target: 1,
  type: UserExplorationType.ACTION,
  date: null,
  ecogesture_id: '',
  fluid_condition: [],
  progress: 5,
  message_success:
    'Vous avez complété votre profil ou refait un tour dans votre profil',
}

export const UserExplorationUnlocked: UserExploration = {
  id: 'EXPLORATION001',
  state: UserExplorationState.UNLOCKED,
  description: 'Avoir complété son profil',
  complementary_description: 'Refaire un tour dans son profil si déjà fait',
  target: 1,
  type: UserExplorationType.ACTION,
  date: null,
  ecogesture_id: '',
  fluid_condition: [],
  progress: 0,
  message_success:
    'Vous avez complété votre profil ou refait un tour dans votre profil',
}
